SeedGenerator Class Reference

Random seed generator. More...

`#include <ql/math/randomnumbers/seedgenerator.hpp>`

Inheritance diagram for SeedGenerator:
[legend]

## Public Member Functions

unsigned long | get ()

## Friends

class | Singleton< SeedGenerator >

## Additional Inherited Members

Static Public Member Functions inherited from Singleton< SeedGenerator >
static SeedGenerator & | instance ()
| access to the unique instance

## Detailed Description

Random seed generator.

Random number generator used for automatic generation of initialization seeds.

Tests:
  correct initialization of the single instance is tested.